using System.Collections.Generic;
using Valg.EVA.Skanning.ServicesModel.ElectionConfig.Model;

namespace Valg.EVA.Skanning.ServicesModel.ElectionConfig.DataProvider
{
    public interface IMunicipalityDataProvider
    {
        County GetCounty(string electionEventId, string code);
        Municipality GetMunicipality(string electionEventId, string code);
        string GetAreaName(string electionEventId, string code);
        List<Municipality> GetMunicipalitiesInCounty(string electionEventId, string countyCode);
        List<County> GetAllCounties(string electionEventId);
        void PreLoadCache(string electionEventId);
    }
}

